Subject: Re: bug#65908: 29.1.50; Emacs 29 regresses on macOS

From: Gerd Möllmann <[email-masked]>
Date: Thu, 05 Oct 2023 19:15:49 +0200

Eli Zaretskii <[email-masked]> writes:

>> > Are you sure you haven't profiled the same build?  The profiles look
>> > almost identical.
>> 
>> Yes, I'm sure.
>
> Then I guess the problem is not with the Emacs Lisp code, but either
> with the primitives implemented in C or some programs (Git?) invoked
> by this recipe.

I find Alans's idea pretty compelling.  Alas, I don't know enough about
git's internals to tell what it does when locales aren't set up
right.  But it's very plausible, given the profiler output.